system does not power off

Bug #557072 reported by Ákos Maróy on 2010-04-07
50
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

my system, an HP Envy 15 laptop (intel i7 CPU) does not power off after shutdown - one needs to press the power button for 6 seconds to make the laptop power off. the same effect exists on ubuntu 9.10 with kernel 2.6.32.9 and .10, and also with ubuntu 10.04.

interestingly, ACPI does not list the states in /proc/acpi/info:

$ cat /proc/acpi/info
version: 20090903

but ACPI is recognized on boot:

$ dmesg | grep ACPI
[ 0.000000] BIOS-e820: 00000000bf75c000 - 00000000bf7bf000 (ACPI NVS)
[ 0.000000] BIOS-e820: 00000000bf7e4000 - 00000000bf7ff000 (ACPI data)
[ 0.000000] modified: 00000000bf75c000 - 00000000bf7bf000 (ACPI NVS)
[ 0.000000] modified: 00000000bf7e4000 - 00000000bf7ff000 (ACPI data)
[ 0.000000] ACPI: RSDP 00000000000fe020 00024 (v02 HP )
[ 0.000000] ACPI: XSDT 00000000bf7fe120 0009C (v01 HPQOEM SLIC-MPC 00000001 01000013)
[ 0.000000] ACPI: FACP 00000000bf7fc000 000F4 (v04 HP SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: DSDT 00000000bf7ee000 0ABEA (v02 HP SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: FACS 00000000bf76e000 00040
[ 0.000000] ACPI: ASF! 00000000bf7fd000 000A5 (v32 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: HPET 00000000bf7fb000 00038 (v01 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: APIC 00000000bf7fa000 0008C (v02 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: MCFG 00000000bf7f9000 0003C (v01 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: SLIC 00000000bf7ed000 00176 (v01 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: SSDT 00000000bf7ec000 0073D (v01 TrmRef PtidDevc 00001000 INTL 20051117)
[ 0.000000] ACPI: SSDT 00000000bf7eb000 00172 (v01 VaRef Va_Acpi 00003000 INTL 20051117)
[ 0.000000] ACPI: BOOT 00000000bf7ea000 00028 (v01 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: SSDT 00000000bf7e9000 00C39 (v01 INTEL SataPri 00001000 INTL 20051117)
[ 0.000000] ACPI: SSDT 00000000bf7e8000 006C5 (v01 INTEL SataSec 00001000 INTL 20051117)
[ 0.000000] ACPI: SPCR 00000000bf7e7000 00050 (v01 HPQOEM SLIC-MPC 00000000 MSFT 01000013)
[ 0.000000] ACPI: ASPT 00000000bf7e6000 00034 (v04 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: WDAT 00000000bf7e5000 00224 (v01 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[ 0.000000] ACPI: SSDT 00000000bf7e4000 009F1 (v01 PmRef CpuPm 00003000 INTL 20051117)
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: PM-Timer IO Port: 0x408
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x04] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x06] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x05] lapic_id[0x01] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x06] lapic_id[0x03] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x07] lapic_id[0x05] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x08] lapic_id[0x07] enabled)
[ 0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[ 0.000000] ACPI: IRQ0 used by override.
[ 0.000000] ACPI: IRQ2 used by override.
[ 0.000000] ACPI: IRQ9 used by override.
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[ 0.006523] ACPI: Core revision 20090903
[ 1.960797] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[ 1.960800] ACPI: bus type pci registered
[ 1.974043] ACPI: EC: Look up EC in DSDT
[ 1.976370] ACPI: Executed 1 blocks of module-level executable AML code
[ 1.981579] ACPI: BIOS _OSI(Linux) query ignored
[ 1.994098] ACPI Error (psargs-0359): [\_PR_.CPU0._PPC] Namespace lookup failure, AE_NOT_FOUND
[ 1.994105] ACPI Error (psparse-0537): Method parse/execution failed [\CPUT] (Node ffff8802370570a0), AE_NOT_FOUND
[ 1.994152] ACPI Error (psparse-0537): Method parse/execution failed [\PSSC] (Node ffff8802370570c0), AE_NOT_FOUND
[ 1.994198] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_._REG] (Node ffff88023703fa60), AE_NOT_FOUND
[ 1.994359] ACPI: Interpreter enabled
[ 1.994363] ACPI: (supports S0 S3 S4 S5)
[ 1.994412] ACPI: Using IOAPIC for interrupt routing
[ 1.995249] PM: Adding info for acpi:ACPI0003:00
[ 1.998706] PM: Adding info for acpi:ACPI0008:00
[ 2.008847] ACPI: EC: GPE = 0x16, I/O: command/status = 0x66, data = 0x62
[ 2.009883] ACPI: ACPI Dock Station Driver: 1 docks/bays found
[ 2.011080] ACPI: PCI Root Bridge [PCI0] (0000:00)
[ 2.014835] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 2.015134] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
[ 2.015372] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
[ 2.015514] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
[ 2.015700] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEG3._PRT]
[ 2.015841] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEG5._PRT]
[ 2.030468] ACPI: PCI Root Bridge [CPBG] (0000:ff)
[ 2.031652] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[ 2.031847] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[ 2.032038] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 5 6 7 10 12 14 15) *0, disabled.
[ 2.032231] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 11 12 14 15) *10
[ 2.032422] ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[ 2.032610] ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
[ 2.032800] ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[ 2.032992] ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
[ 2.033596] ACPI: WMI: Mapper loaded
[ 2.033598] PCI: Using ACPI for IRQ routing
[ 2.097696] pnp: PnP ACPI init
[ 2.097709] ACPI: bus type pnp registered
[ 2.103392] pnp: PnP ACPI: found 12 devices
[ 2.103394] ACPI: ACPI bus type pnp unregistered
[ 2.776520] ACPI Error (psargs-0359): [\_PR_.CPU0._PPC] Namespace lookup failure, AE_NOT_FOUND
[ 2.776531] ACPI Error (psparse-0537): Method parse/execution failed [\CPUT] (Node ffff8802370570a0), AE_NOT_FOUND
[ 2.776599] ACPI Error (psparse-0537): Method parse/execution failed [\_TZ_.TZ01.OTHD] (Node ffff880237055f00), AE_NOT_FOUND
[ 2.776671] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_._Q80] (Node ffff88023703fb60), AE_NOT_FOUND
[ 3.998797] ACPI: AC Adapter [ACAD] (on-line)
[ 3.998883] ACPI: Power Button [PWRB]
[ 3.999290] ACPI: Lid Switch [LID0]
[ 3.999355] ACPI: Power Button [PWRF]
[ 4.001246] ACPI: SSDT 00000000bf691a98 002DA (v01 PmRef Cpu0Ist 00003000 INTL 20051117)
[ 4.002138] ACPI: SSDT 00000000bf690618 005CD (v01 PmRef Cpu0Cst 00003001 INTL 20051117)
[ 4.003788] ACPI: SSDT 00000000bf691718 00303 (v01 PmRef ApIst 00003000 INTL 20051117)
[ 4.004676] ACPI: SSDT 00000000bf68fd98 00119 (v01 PmRef ApCst 00003000 INTL 20051117)
[ 4.021543] ACPI: Thermal Zone [TZ01] (44 C)
[ 4.028907] ACPI: Battery Slot [BAT0] (battery present)
[ 4.029277] ACPI: Battery Slot [BAT1] (battery absent)
[ 5.696586] ACPI: Video Device [VGA1] (multi-head: yes rom: no post: no)
[ 6.918810] pci 0000:01:00.0: power state changed by ACPI to D0

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage. I have classified this bug as a bug in .

When reporting bugs in the future please use apport, either via the appropriate application's "Help -> Report a Problem" menu or using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

affects: ubuntu → linux (Ubuntu)
babyhuey (ehardesty) wrote :

This is also an issue for me with a Core i5 HP Envy 15.

babyhuey (ehardesty) wrote :

Additional debugging information posted by akos.maroy at ubuntuforums.org
http://ubuntuforums.org/showthread.php?t=1406691&

Joe Barnett (thejoe) on 2010-04-20
Changed in linux (Ubuntu):
status: New → Confirmed
Joe Barnett (thejoe) wrote :

is there any other information that can be provided to help track this down?

babyhuey (ehardesty) wrote :

Please see my duplicate bug for a few more logs. https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565670

Some additional background:
Oddly, the original revision of the HP Envy 15 which presumably has a very similar motherboard(uses same bios) works just fine.
The only differences between the older, working revision and the newer revision that I'm aware of is a Radeon Mobility 5830 vs 4830 and when configured with a Core i7 (vs Core i5) it has an additional USB 3.0 controller.
However, since my Envy 15 has a Core i5 without USB 3.0, I believe the problem to be independent of processor and USB controller.

I doubt any of that info will really help but, its all I can think of.

Ákos Maróy (akos-maroy) wrote :

I don't have any additional details either. actually the biggest frustration for me is that I can't get any additional debug info on the issue :(

Alex Chiang (achiang) wrote :

Hi all,

I'm unable to test this machine myself, as I had to return my unit after leaving HP, but I did get some advice on how to make progress on this bug.

The big picture is that the kernel is not putting the hardware into a state that the firmware expects, which is why shutdown/suspend aren't working.

We want to figure out which kernel driver is misbehaving, and to do so, will use the process of elimination.

First step is to simply boot the kernel with init=/bin/bash and verify that shutdown still fails.

Next, repeat step 1, but unload all modules first before shutting down.

Next, see if you can build a kernel with essentially no hardware support, and see if you still get shutdown failures.

Add drivers into your kernel build one-by-one and keep testing shutdown.

Again, the idea here is that some kernel driver is doing the wrong thing, which leaves firmware unable to properly shutdown the machine. By eliminating all the drivers and slowly adding them back one by one, we're trying to figure out which specific driver is misbehaving.

I recommend testing on latest upstream kernel.

Since there are several folks reporting the same bug and you all seem pretty savvy, maybe someone can also try going back multiple versions of the kernel and seeing if one works. If so, that would be a strong hint that there's a broken commit in there, and we can try a bisect too. Please coordinate using this bug or perhaps the mailing list that was setup for members of the Envy 15 launchpad team.

Sorry for all the manual labor involved. This will be tedious, I'm sure. Thanks for all your efforts.

babyhuey (ehardesty) wrote :

Alex, thanks yet again for helping to get Linux working on the Envy 15.
I've got finals this week but as soon as I have time I will gladly do the driver debugging and my results here.

Ákos Maróy (akos-maroy) wrote :

Alex,

I booted my system in single user mode, removed all modules until lsmod showed an empty list, and then issued poweroff. the result is the same: the system displays "Power off" at the end, but does not power off.

this is with a 2.6.32.11 kernel

as for the next step to building a kernel with essentially no hardware support: how would I do that? what kernel config would I use?

Akos

I also removed all modules with the same result.
I tried building a kernel after making a config with almost no hardware
drivers but upon install it doesn't make a new ram disk.
I'm not familiar with the debian build process so, I'll have to figure it
out after finals.

On Apr 28, 2010 4:25 AM, "Ákos Maróy" <email address hidden> wrote:

Alex,

I booted my system in single user mode, removed all modules until lsmod
showed an empty list, and then issued poweroff. the result is the same:
the system displays "Power off" at the end, but does not power off.

this is with a 2.6.32.11 kernel

as for the next step to building a kernel with essentially no hardware
support: how would I do that? what kernel config would I use?

Akos

--
system does not power off
https://bugs.launchpad.net/bugs/557072
You received this bug notifica...

Ákos Maróy (akos-maroy) wrote :

abyhuey, for info on compiling the kernel under ubuntu, see:

https://help.ubuntu.com/community/Kernel/Compile

and

https://wiki.ubuntu.com/KernelTeam/GitKernelBuild

Alex Chiang (achiang) wrote :

Ákos, hm, that's a bad sign. I was hoping that rmmod'ing everything would have helped.

How about this: try building as many things modular as possible: 'make allmodconfig' and then repeating the experiment?

The idea I'm testing out is that perhaps the kernel bit that was behaving poorly was compiled into your kernel, and thus when you did an rmmod of all the modules, you didn't get the one that was really broken.

By building everything modular, you'll be able to rmmod more drivers to help test the earlier theory.

Thanks.

Serkan Hosca (serkan-hosca) wrote :

I tried to boot allmodconfig kernel from linus' git tree with init=/bin/bash, couldn't boot all the way, got busy box. Tried to shutdown there but no success. The only module left was atkbd which i couldn't remove, needed that for the keyboard.

Also with a regular config kernel from linus' git tree, just before the Power down message i get the following on screen:

DRHD: handling fault status reg 2
DMAR:[DMA Read] Request device [00:1f.2] fault addr bf685000
DMAR:[fault reason 06] PTE Read access is not set
Power down.

lspci -vvnn | grep '00:1f.2' says:
00:1f.2 RAID bus controller [0104]: Intel Corporation Mobile 82801 SATA RAID Controller [8086:282a] (rev 05)

Attached is a picture of the messages.

Serkan Hosca (serkan-hosca) wrote :

After a bios update to version F.26 machine can shutdown. Tested both with lucid kernel and 2.6.34-rc7

babyhuey (ehardesty) wrote :

Wow, really great news. I'll test as soon as I get a chance. Any luck with
suspend and resume?

On May 12, 2010 8:45 PM, "Serkan Hosca" <email address hidden> wrote:

After a bios update to version F.26 machine can shutdown. Tested both
with lucid kernel and 2.6.34-rc7

--
system does not power off
https://bugs.launchpad.net/bugs/557072
You received this bug notifica...

Serkan Hosca (serkan-hosca) wrote :

Suspend to ram from full boot doesn't work, it gets stuck before sleeping, It can go into suspend to ram if i boot with init=/bin/bash on grub and wake up with a black screen, i would assume it was half alive because i was able to reboot with ctrl+alt+del, which it never used to work. Haven't tested suspend to disk.

Serkan Hosca (serkan-hosca) wrote :

Ok, i just booted with init=/bin/bash and tested 'echo mem > /sys/power/state ; vbetool post' and it worked.

Ákos Maróy (akos-maroy) wrote :

Serkan, how did you flash the machine? Did you use Windows?

I don't have a working Windows on the machine anymore. Is there way to flash the BIOS without Windows?

Serkan Hosca (serkan-hosca) wrote :

The bios update is a single windows executable that you need to run within windows. I had kept windows when i was installing lucid as dual boot, so it was pretty easy to do the update. I remember reading somewhere that it is possible to do bios updates with a bootable windows vista/7 installation disk.

Jacob Zimmermann (jacob) wrote :

Akos, I don't have a windows partition either but flashed my bios successfully using a Win7PE live CD. Interestingly the live cd did not recognize USB, but thankfully the wired network interface did work so I could download winflash and run it directly.

Jacob Zimmermann (jacob) wrote :

After updating the bios to F.26, shutdown finally works but still no resume & suspend.

Ákos Maróy (akos-maroy) wrote :

Jacob - Win7PE as from here? http://win7pe.winbuilder.net/Projects/

which file / image exactly?

Serkan Hosca (serkan-hosca) wrote :

Module xhci_hcd prevents the machine go into suspend mode in full boot. After rmmoding it, it goes in to suspend, it wakes up with a blank screen crashed, using the fglrx driver provided in lucid.

I've also tested the git kernel and the r800 kms support, suspend and resume works.

Jacob Zimmermann (jacob) wrote :

Akos, Win7PE is just a tool to build your live cd. I didn't do it myself, used a preexisting image instead, so I don't really know how to use it. This looks like a good starting point for you:

http://www.nu2.nu/pebuilder/

Good luck.

Jacob Zimmermann (jacob) wrote :

Hoorah! Suspend & resume now in fact works for me WITH FGLRX :) Running bios F.26, 64 bit system with the latest maverick kernel (2.6.24-2-preempt 2.6.34-2.9) compiled from git://kernel.ubuntu.com/ubuntu/ubuntu-maverick.git, and lucid's fglrx (2:8.723.1) with the 2.6.33 patch applied.

For now I have the xhci_hcd module automatically rmmod'ed when the system goes to sleep and insmod'ed again when it comes back on. It's not a good solution but better than nothing.

Ákos Maróy (akos-maroy) wrote :

Jacob,

I wouldn't want to build such an image myself either - where did you get the preexisting image from? I'd be happy to use the same image :)

Akos

Ákos Maróy (akos-maroy) wrote :

I can confirm that after upgrading to firmware F.26, both poweroff and suspend work fine (suspend after removing the xhci module). this is on the stock 10.04 kernel, using the fglrx driver that comes with 10.04

Ákos Maróy (akos-maroy) wrote :

interestingly, hibernate is not offered as an option in the ubuntu right-hand menu (where poweroff and suspend offered). also, /etc/acpi/info still doesn't list the possible ACPI states:

# cat /proc/acpi/info
version: 20090903

(usually the line after this would list the S states that are available on the system)

Ákos Maróy (akos-maroy) wrote :

an additional interetsing side effect is that the screen birghtness is lowered when after resuming from suspend

babyhuey (ehardesty) wrote :

Agreed Akos,
In addition I no longer have any temperature readings using lm_sensors, though, I can't say for certain that it is a consequence of the firmware update.

Ákos Maróy (akos-maroy) wrote :

same thing here, no sensors reading, despite running sensors-detect again...

Serkan Hosca (serkan-hosca) wrote :

Yes, using the maverick kernel suspend works (w/o xhci), albeit a bit slow, takes about 8 seconds to go in to sleep and another 8 seconds to wake up and touchpad buttons are not working.

Jacob Zimmermann (jacob) wrote :

Interesting... With the maverick kernel, touchpad buttons work for me, as well as gestures (no two finger clicking/scrolling though). Also wake up is very fast, about 1 sec. The hibernate option shows up but does not work - the machine seems to save itself, but does not switch off. No sensors detected either. On the whole though, it's still a great progress.

Ákos Maróy (akos-maroy) wrote :

I know this is a bit off-topic, but what do you mean by 'gestures'? no gestures ever worked for me :(

Jacob Zimmermann (jacob) wrote :

I mean mainly the Circular scrolling, which I find a great feature once I got used to it :)

Serkan Hosca (serkan-hosca) wrote :

I guess a seperate bug report would be better. I have tap click + edge scroll. Two finger scrolling, two finger tap right click, three finger tap middle click or double tab at the top left corner to disable the touchpad never worked.

Ákos Maróy (akos-maroy) wrote :

Jacob, what is 'circular scrolling'?

as Serkan, I only have tap click, left, middle and right mouse button emulation, and right edge scrolling - that's it...

Jacob Zimmermann (jacob) wrote :

Yeah, I agree we should create a separate bug for touchpad issues. Anyway with bios F.26 & maverick kernel I can middle-click and right-click respectively by tapping on the bottom-center edge or bottom-right corner. Multi-finger does not work though. "circular scrolling" means you can scroll by making circles with your finger on the touchpad, basically it's a great emulation of the mouse wheel. It can be enabled in System/Preferences/Pointing device (Scrolling tab).

NB: I have the psmouse loaded and the "synaptics" xorg driver as well (loaded automatically by xorg, nothing special in xorg.conf).

Ákos Maróy (akos-maroy) wrote :

hm, I don't have a System -> Preferences -> Pointing device menu option, only System -> Preferences -> Mouse. and there, there's no circular scrolling option, nor Scrolling tab.

what package does that come from? what does the 'maverick kernel' mean?

I wonder if the lack of touchpad gestures is a bug, or a feature request...

(I tried to file a separate bug for the lmsensors issue, but I got an error message from launchpad 5 times in a row)

Jacob Zimmermann (jacob) wrote :

Akos, it's in the gpointing-device-settings package. The maverick kernel is the 2.6.34-based kernel from Ubuntu 10.10 (codename maverick meerkat).

Ákos Maróy (akos-maroy) wrote :

thanks, indeed it works.

but, as for removing the xhci module automatically for suspend, this doesn't seem to work. I've put it into /etc/default/acpi-support, into the MODULES line, but this doesn't seem to remove the module before suspending. this, I can only suspend if I manually remove the module.

where else would I have to put the the module, so that it is removed before suspend?

Jacob Zimmermann (jacob) wrote :

The following script works for me (saved as /etc/pm/sleep.d/5_quick-fix-drivers)
NB: The atl1c module is there because otherwise the ethernet controller didn't work after a resume. Remove it from the list if you aren't experiencing that problem.

-----
#!/bin/sh

PATH=/sbin:/usr/sbin:/bin:/usr/bin

MODS="xhci_hcd atl1c"

case "${1}" in
        suspend|hibernate)
                for m in $MODS
                do
                        modprobe -r $m
                done
                ;;
        resume|thaw)
                for m in $MODS
                do
                        modprobe $m
                done
                ;;
esac

Ákos Maróy (akos-maroy) wrote :

thanks. actually I just wanted to report that the ethernet port wouldn't connect after a resume

but even this way, it actually won't reconnect automatically, but I have to manually tell it to, via the network manager UI widget. maybe a network manager restart would help?

also, is there a way to make the suspend process not dim the screen?

Jacob Zimmermann (jacob) wrote :

You are right, ethernet won't reconnect automatically. I suppose the way to do it is to use network manager's dbus interface to tell it to reconnect.

Not sure what you mean by dimming the screen by the suspend process?

Ákos Maróy (akos-maroy) wrote :

about dimimng; before I suspend, I have my LCD at full brightness. after resuming, the brightness is reduced (actually, it resumes, almost done, then I see the brightess being lowered). I have to manually increase the brightess to get back where I was before the suspend

Jacob Zimmermann (jacob) wrote :

Interesting... I don't seem to have that problem. Perhaps it has to do with the settings in System/Preferences/Power management.

Serkan Hosca (serkan-hosca) wrote :

Ok, i figured that the clickpad mode does not get initialized for my touchpad.

If you take a look at http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-maverick.git;a=blob;f=drivers/input/mouse/synaptics.c;h=b76374c80989df1eba6e98c93b5f3dbabd8014ae;hb=HEAD in synaptics_init() at line 773 i should be seeing clickpad enabled in dmesg but this is what i get:
$ dmesg | grep -i synaptics
[ 10.712182] Synaptics Touchpad, model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd04771/0xe40000/0x5a0400
[ 10.790705] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input13

Alex Chiang (achiang) wrote :

Hi folks,

Since the original bug was fixed by a BIOS update, I'd like to close it.

Please do open new launchpad bugs for any other issues (touchpad, any suspend/resume issues, etc.), and update this bug with pointers to the new bugs.

Once that happens, I'll close out this bug.

Thanks!

Ákos Maróy (akos-maroy) wrote :

Alex,

I'm trying to create a bug for the lmsensors issue, but I'm getting a launchpad error message:

(Error ID: OOPS-1600A1254)

This is the second time in a few days that I'm getting this. In both occasions, I've retried several times..

what do I do?

Akos

Ákos Maróy (akos-maroy) wrote :

created a bug report for the lack of two-finger scrolling, see Bug #582687

Ákos Maróy (akos-maroy) wrote :

created a bug report in relation to the xhci module preventing suspend, see Bug #582688

Ákos Maróy (akos-maroy) wrote :

finally created a bug report for the lmsensors issue as well, see Bug #582689

Ákos Maróy (akos-maroy) wrote :

created a bug report for the lack of hibernation, see Bug #582690

Ákos Maróy (akos-maroy) wrote :

any other bug reports that should be created? maybe for the issues with ethernet connectivity after resume?

Serkan Hosca (serkan-hosca) wrote :

created https://bugs.launchpad.net/ubuntu/+source/linux/+bug/582809 for my clickpad button issue with maverick kernel

Joe Barnett (thejoe) on 2010-05-19
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers